import { Section } from "components-jsx/Section";
import { client } from "..";
import { Thumbnail } from "components-jsx/Thumbnail";
import { TextDisplay } from "components-jsx/TextDisplay";
import { br } from "components-jsx/br";

export async function User(props: { id: string }) {
	const user = await client.rest.users.get(props.id);

	return (
		<Section
			accessory={
				<Thumbnail children={{ url: user.avatarURL("png", 128) }} />
			}
		>
			<TextDisplay>### User</TextDisplay>
			<TextDisplay>
				{user.globalName || user.username}
				<br />
				-# @{user.username}
			</TextDisplay>
		</Section>
	);
}
